GCLOUD_COMPONENTS_REMOVE(1)

NAME

gcloud components remove - remove one or more installed components

SYNOPSIS

gcloud components remove COMPONENT_ID [COMPONENT_ID ...] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Uninstall all listed components, as well as all components that directly or indirectly depend on them. The command lists all components it is about to remove, and asks for confirmation before proceeding.

POSITIONAL ARGUMENTS

    COMPONENT_ID [COMPONENT_ID ...]
        The IDs of the components to be removed.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To remove COMPONENT-1, COMPONENT-2, and all components that directly or indirectly depend on COMPONENT-1 or COMPONENT-2, type the following:
    $ gcloud components remove COMPONENT-1 COMPONENT-2